{% if organization.generalParameters.label %}
    {% set label = organization.generalParameters.label %}
{% else %}
    {% set label = "" %}
{% endif %}
<div class="fr-col-12 fr-mb-4w">
    <header id="domain-preview" role="banner" class="fr-header">
        <div class="fr-header__body">
            <div class="fr-container">
                <div class="fr-header__body-row">
                    <div class="fr-header__brand">
                        <div class="fr-header__brand-top">
                            <div class="fr-header__logo">
                                {% if organization.generalParameters.logo.location %}
                                    <img class="domain-logo" src="{{ organization.generalParameters.logo.url }}"
                                        alt="Logo {{ organization.generalParameters.label }}" title="{{ label }}" />
                                {% endif %}
                            </div>
                        </div>
                        <div class="fr-header__service">
                            <p class="fr-header__service-title">{{ organization.domain }}</p>
                            {% if organization.generalParameters %}
                                <p class="fr-header__service-tagline">{{ label }}</p>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </header>
</div>
<div class="fr-col-12">
    <div class="fr-accordions-group">
        <section class="fr-accordion">
            <h3 class="fr-accordion__title">
                <button class="fr-accordion__btn" aria-expanded="true"
                        aria-controls="general-parameters">Param&egrave;tres g&eacute;n&eacute;raux
                </button>
            </h3>
            <div class="fr-collapse" id="general-parameters">
                <form method="post" action="{{ domain }}/action/organization/general-parameters/save"
                      class="needs-validation" enctype="multipart/form-data" novalidate>
                    <input type="hidden" name="current-url" value="{{ currentUrl }}" />
                    <input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}" />
                    <input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}" />
                    <input type="hidden" name="domain-name" value="{{ organization.domain }}" />
                    <div class="fr-input-group">
                        <label class="fr-label" for="label">Intitul&eacute; de la collectivit&eacute;</label>
                        <input class="fr-input" type="text" id="label" name="label" value="{{ label }}" required/>
                        <p id="label-input-error" class="fr-error-text">Veuillez saisir un intitul&eacute;. </p>
                    </div>
                    <div class="fr-grid-row fr-grid-row--gutters fr-mt-2w">
                        <div class="fr-upload-group fr-col-lg-6 fr-col-12">
                            <label class="fr-label" for="logo">Image d'entête
                                <span class="fr-hint-text">{{ fileUploadHintText }}</span>
                            </label>
                            <input class="fr-upload" type="file" id="logo" accept="{{ fileUploadAccept }}" name="logo">
                            <p id="logo-input-error" class="fr-error-text">Format de fichier non support&eacute;</p>
                        </div>
                        <div class="fr-col-lg-6 fr-col-12">
                            {% if organization.generalParameters.logo.location %}
                                <img class="domain-logo" width="300" src="{{ organization.generalParameters.logo.url }}"
                                    alt="Logo {{ label }}" title="{{ label }}" />
                            {% endif %}
                        </div>
                    </div>
                    <div class="fr-grid-row fr-grid-row--gutters fr-mt-2w fr-mb-0">
                        <div class="fr-input-group fr-col-lg-6 fr-col-12 fr-mb-0">
                            <label class="fr-label" for="background-color">Couleur de l'arri&egrave;re plan</label>
                            <input class="fr-input" id="background-color" name="background-color"
                                   value="{{ organization.generalParameters.backgroundColor }}" onchange="setBandeauDomain()"
                                   required/>
                            <p id="background-color-input-error" class="fr-error-text">Veuillez s&eacute;lectionner une
                                couleur d'arri&egrave;re plan.</p>
                        </div>
                        <div class="fr-input-group fr-col-lg-6 fr-col-12 fr-mb-0">
                            <label class="fr-label" for="text-color">D&eacute;grad&eacute;</label>
                            <input class="fr-input" id="gradient-color" name="gradient-color"
                                   value="{{ organization.generalParameters.gradientColor }}" onchange="setBandeauDomain()" />
                        </div>
                    </div>
                    <div class="fr-grid-row fr-grid-row--gutters">
                        <div class="fr-input-group fr-col-lg-6 fr-col-12">
                            <label class="fr-label" for="text-color">Couleur de texte</label>
                            <input class="fr-input" id="text-color" name="text-color"
                                   value="{{ organization.generalParameters.textColor }}" onchange="setBandeauDomain()"
                                   required/>
                            <p id="text-color-input-error" class="fr-error-text">Veuillez s&eacute;lectionner une
                                couleur de texte pour cette collectivit&eacute;.</p>
                        </div>
                    </div>
                    <div class="fr-input-group fr-mt-2w">
                        <label class="fr-label" for="website-url">URL site Internet</label>
                        <input class="fr-input" type="url" id="website-url" name="website-url"
                               placeholder="https://ma-collectivite.fr" pattern="https://.*"
                               value="{{ organization.generalParameters.webSiteUrl }}" required/>
                        <p id="website-url-input-error" class="fr-error-text">Veuillez saisir l'URL du site Internet.
                        </p>
                    </div>
                    <div class="fr-input-group">
                        <label class="fr-label" for="email">Email de contact</label>
                        <input class="fr-input"
                               title="L'adresse &eacute;lectronique de contact de votre collectivit&eacute; (ex. : nom@domaine.fr)"
                               autocomplete="email" placeholder="nom@domaine.fr" type="email" id="email" name="email"
                               value="{{ organization.generalParameters.email }}" />
                    </div>
                    <div class="fr-input-group">
                        <label class="fr-label" for="contact-url">URL de la page contact du site Internet</label>
                        <input class="fr-input" type="url" id="contact-url" name="contact-url"
                               placeholder="https://ma-collectivite.fr/contact" pattern="https://.*"
                               value="{{ organization.generalParameters.contactUrl }}" />
                    </div>
                    <div class="fr-input-group">
                        <label class="fr-label" for="phone-number">Num&eacute;ro de t&eacute;l&eacute;phone</label>
                        <input class="fr-input" type="tel" id="phone-number" name="phone-number"
                               value="{{ organization.generalParameters.phoneNumber }}" required/>
                        <p id="phone-number-input-error" class="fr-error-text">Veuillez ajouter un num&eacute;ro de
                            t&eacute;l&eacute;phone.</p>
                    </div>
                    <div class="fr-input-group">
                        <label class="fr-label" for="facebook-url">URL Facebook de la collectivit&eacute;</label>
                        <input class="fr-input" type="url" id="facebook-url" name="facebook-url"
                            placeholder="https://facebook.fr/..." pattern="https://.*"
                            value="{{ organization.socialNetworkParameters.facebookUrl }}" />
                    </div>
                    <div class="fr-input-group">
                        <label class="fr-label" for="twitter-url">URL twitter de la collectivit&eacute; </label>
                        <input class="fr-input" type="url" id="twitter-url" name="twitter-url"
                            placeholder="https://twitter/..." pattern="https://.*"
                            value="{{ organization.socialNetworkParameters.twitterUrl }}" />
                    </div>
                    <div class="fr-input-group">
                        <button class="fr-btn fr-icon-checkbox-line fr-btn--icon-left"
                                type="submit">Enregistrer
                        </button>
                    </div>
                </form>
            </div>
        </section>
        <section class="fr-accordion">
            <h3 class="fr-accordion__title">
                <button class="fr-accordion__btn" aria-expanded="false"
                        aria-controls="email-parameters">Param&egrave;tres emailing
                </button>
            </h3>
            <div class="fr-collapse" id="email-parameters">
                <form method="post" action="{{ domain }}/action/organization/emailling-parameters/save" class="needs-validation" novalidate>
                    <input type="hidden" name="current-url" value="{{ currentUrl }}" />
                    <input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}" />
                    <input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}" />
                    <input type="hidden" name="domain-name" value="{{ organization.domain }}" />
                    <div class="fr-grid-row fr-grid-row--gutters fr-mt-2w">
                        <div class="fr-input-group fr-col-lg-6 fr-col-12">
                            <label class="fr-label" for="name-sender">Nom de l'&eacute;m&eacute;teur</label>
                            <input class="fr-input" type="text" id="name-sender" name="name-sender"
                                   value="{{ organization.emailParameters.nominator }}" />
                        </div>
                        <div class="fr-input-group fr-col-lg-6 fr-col-12">
                            <label class="fr-label" for="email-sender">Adresse email &eacute;m&eacute;teur</label>
                            <input class="fr-input"
                                   title="L'adresse &eacute;lectronique de l'&eacute;m&eacute;teur (ex. : nom@domaine.fr)"
                                   autocomplete="email" placeholder="nom@domaine.fr" type="email" id="email-sender"
                                   name="email-sender" value="{{ organization.emailParameters.nominatorEmail }}"
                                   required/>
                        </div>
                    </div>
                    <p id="email-sender-input-error" class="fr-error-text">Veuillez saisir une adresse email
                        &eacute;m&eacute;teur. </p>
                    <div class="fr-grid-row fr-grid-row--gutters fr-mt-2w">
                        <div class="fr-input-group fr-col-lg-6 fr-col-12">
                            <label class="fr-label" for="name-reply">Nom du reply-to</label>
                            <input class="fr-input" type="text" id="name-reply" name="name-reply"
                                   value="{{ organization.emailParameters.replyTo }}" />
                        </div>
                        <div class="fr-input-group fr-col-lg-6 fr-col-12">
                            <label class="fr-label" for="email-reply">Adresse email de reply-to</label>
                            <input class="fr-input"
                                   title="L'adresse &eacute;lectronique de r&eacute;ponse de votre collectivit&eacute; (ex. : nom@domaine.fr)"
                                   autocomplete="email" placeholder="nom@domaine.fr" type="email" id="email-reply"
                                   name="email-reply" value="{{ organization.emailParameters.replyToEmail }}"
                                   required/>
                        </div>
                        <p id="emailSender-input-error" class="fr-error-text">Veuillez saisir une adresse email de
                            reply-to.</p>
                    </div>
                    <div class="fr-input-group">
                        <button class="fr-btn fr-icon-checkbox-line fr-btn--icon-left"
                                type="submit">Enregistrer
                        </button>
                    </div>
                </form>
            </div>
        </section>
        <section class="fr-accordion">
            <h3 class="fr-accordion__title">
                <button class="fr-accordion__btn" aria-expanded="false"
                        aria-controls="mailbox-parameters">Param&egrave;trage de bo&icirc;te email information
                </button>
            </h3>
            <div class="fr-collapse" id="mailbox-parameters">
                <form method="post" action="{{ domain }}/action/organization/mailbox-parameters/save" class="needs-validation" novalidate>
                    <input type="hidden" name="current-url" value="{{ currentUrl }}" />
                    <input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}" />
                    <input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}" />
                    <input type="hidden" name="domain-name" value="{{ organization.domain }}" />
                    <input type="hidden" name="test-configuration" value="0" />
                    <div class="fr-input-group">
                        <label class="fr-label" for="mailbox">URL (IMAP ou POP3) de la collectivit&eacute;</label>
                        <input class="fr-input" type="url" id="mailbox" name="mailbox"
                               placeholder="imap.gmail.com:993/imap/ssl"
                               value="{{ organization.mailboxParameters.mailbox }}" required />
                        <p id="mailbox-input-error" class="fr-error-text">Veuillez saisir le param&egrave;trage IMAP ou POP de la bo&icirc;te email.</p>
                    </div>
                    <div class="fr-input-group">
                        <label class="fr-label" for="folder">Dossier sp&eacute;cifique de la bo&icirc;te email</label>
                        <input class="fr-input" type="text" id="folder" name="folder"
                               placeholder="INBOX"
                               value="{{ organization.mailboxParameters.folder }}" required />
                        <p id="folder-input-error" class="fr-error-text">Veuillez saisir le dossier de la bo&icirc;te email &agrave; relever.</p>
                    </div>
                    <div class="fr-input-group">
                        <label class="fr-label" for="user">Adresse email</label>
                        <input class="fr-input"
                               title="L'adresse &eacute;lectronique de la boite mail de votre collectivit&eacute; (ex. : nom@domaine.fr)"
                               autocomplete="email" placeholder="nom@domaine.fr" type="text" id="user"
                               name="user" value="{{ organization.mailboxParameters.user }}" required />
                        <p id="user-input-error" class="fr-error-text">Veuillez saisir l'adresse de la bo&icirc;te email.</p>
                    </div>
                    <div class="fr-input-group">
                        <label class="fr-label" for="password">Mot de passe</label>
                        <input class="fr-input" type="password" id="password" name="password"
                               placeholder="******"
                               value="{{ organization.mailboxParameters.password }}" />
                    </div>
                    <div class="fr-input-group">
                        <button class="fr-btn fr-icon-checkbox-line fr-btn--icon-left"
                                type="submit">Enregistrer
                        </button>
                        <button class="fr-btn fr-icon-play-circle-line fr-btn--secondary fr-btn--icon-left fr-ml-3w"
                             id="test-configuration">Tester configuration
                        </button>
                    </div>
                </form>
            </div>
        </section>
        <section class="fr-accordion">
            <h3 class="fr-accordion__title">
                <button class="fr-accordion__btn" aria-expanded="false"
                        aria-controls="channels-parameters">Param&egrave;trage r&eacute;seaux sociaux
                </button>
            </h3>
            <div class="fr-collapse" id="channels-parameters">

                {% set existingChannels = [] %}
                {% if organization.activeChannels is not empty %}
                    <table class="fr-table fr-table--bordered fr-table--layout-fixed" style="width:100%">
                        {% for channel in organization.activeChannels %}
                            {% set existingChannels = existingChannels|merge([channel|channelName|upper]) %}
                            <tr>
                                <td class="text-center">
                                    <span class="fr-icon-{{ channel|channelIcon }} fr-icon--md" aria-hidden="true"></span>
                                </td>
                                <td>
                                    {{ channel.channelName }}
                                </td>
                                <td>
                                    <a href="{{ channel.profileUrl }}" target="_blank">{{ channel.profileUrl }}</a>
                                </td>
                                <td>
                                    <button data-channel-name="{{ channel.channelName }}" data-channel-id="{{ channel.id }}" class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-fi-delete-line delete-channel" title="Supprimer">Supprimer</button>
                                </td>
                            </tr>
                        {% endfor %}
                    </table>
                {% endif %}

                {% if 'TWITTER' not in existingChannels %}
                    <a href="{{ domain }}/channels/auth/twitter" class="fr-btn fr-icon-twitter-fill fr-btn--secondary fr-btn--icon-left">
                        Ajouter un compte Twitter
                    </a>
                {% endif %}

                {% if 'FACEBOOK' not in existingChannels %}
                    <a href="{{ domain }}/channels/auth/facebook" class="fr-btn fr-icon-facebook-circle-fill fr-btn--secondary fr-btn--icon-left fr-ml-3w">
                        Ajouter un compte Facebook
                    </a>
                {% endif %}

                {% if 'INSTAGRAM' not in existingChannels %}
                    <a href="{{domain}}/channels/auth/facebook" class="fr-btn fr-icon-instagram-fill fr-btn--secondary fr-btn--icon-left fr-ml-3w">
                        Ajouter un compte Instagram
                    </a>
                {% endif %}

                {% include './modals/administration/delete-channel.html' %}

            </div>
        </section>
    </div>
</div>
<script type="text/javascript">
    function setBandeauDomain() {
        var backgroundColor = document.getElementById('background-color').value;
        var gradientColor = document.getElementById('gradient-color').value;
        var textColor = document.getElementById('text-color').value;
        var domainPreview = document.getElementById('domain-preview');
        domainPreview.style.color = textColor;
        domainPreview.getElementsByClassName('fr-header__body')[0].style.background = '';
        if (gradientColor) {
            domainPreview.getElementsByClassName('fr-header__body')[0].style.background = 'linear-gradient(90deg, ' + backgroundColor + ' 0%, ' + gradientColor + ' 80%)';
        } else {
            domainPreview.getElementsByClassName('fr-header__body')[0].style.backgroundColor = backgroundColor;
        }
    }

    setBandeauDomain();

</script>
